Firefox ESR 24.x < 24.6 Multiple Vulnerabilities

High Nessus Plugin ID 74439


The remote Windows host contains a web browser that is affected by multiple vulnerabilities.


The version of Firefox ESR 24.x installed on the remote host is prior to 24.6. It is, therefore, affected by the following vulnerabilities :

- A memory issue exists that could lead to arbitrary code execution. Note that this issue only affects Firefox ESR 24.5. (CVE-2014-1533)

- Use-after-free memory issues exist in 'nsTextEditRules::CreateMozBR' and the SMIL Animation Controller that could lead to code execution.
(CVE-2014-1538, CVE-2014-1541)


Upgrade to Firefox ESR 24.6 or later.

See Also

Plugin Details

Severity: High

ID: 74439

File Name: mozilla_firefox_24_6_esr.nasl

Version: $Revision: 1.4 $

Type: local

Agent: windows

Family: Windows

Published: 2014/06/11

Modified: 2014/10/15

Dependencies: 20862

Risk Information

Risk Factor: High


Base Score: 9.3

Temporal Score: 8.1

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:mozilla:firefox_esr

Required KB Items: Mozilla/Firefox/Version

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2014/06/10

Vulnerability Publication Date: 2014/06/10

Reference Information

CVE: CVE-2014-1533, CVE-2014-1538, CVE-2014-1541

BID: 67965, 67976, 67979